﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfTouchIssueTest.Views
{
    /// <summary>
    /// Interaction logic for AlarmInfoView.xaml
    /// </summary>
    public partial class AlarmInfoView : UserControl
    {
        private AlarmInfoViewModel _viewModel;

        public AlarmInfoView()
        {
            InitializeComponent();
        }

        public void Init(AlarmStateSeverity severity, string message, string possibleCause, string correction)
        {
            _viewModel = new AlarmInfoViewModel(severity, message, possibleCause, correction);
            DataContext = _viewModel;
        }
    }
}
